<template>
    <div class="status">
        <Header title="Buzzword Bingo" msg="Status Example" title_right="Spielcode TEST" />
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-6">
                    <p style="margin: 0.2rem;" class="text-muted">Max number of messages displayed</p>           
                    <input style="margin: 0.2rem;" type="text" v-model="maxLength" placeholder="Max number of messages displayed" class="form-control" />
                    <p style="margin: 0.2rem;" class="text-muted">Text size (1 for small, > 1 for normal)</p>           
                    <input style="margin: 0.2rem;" type="text" v-model="size" placeholder="text size" class="form-control" />
                    <p style="margin: 0.2rem;" class="text-muted">Message to push</p>           
                    <input style="margin: 0.2rem;" type="text" class="form-control" v-model="message" name="message" />                    
                    <button style="width: 100%; margin: 0.2rem;" type="button" class="btn btn-success" @click="pushMessage">Submit message</button>  
                </div>
            </div>
            <div class="row justify-content-center">
                <div class="col-6">
                    <Status :size=size :maxLength=maxLength ref="status" />
                </div>
            </div>
        </div>
    </div>
</template>

<script>
// @ is an alias to /src
import Header from '@/components/Header.vue'
import Status from '@/components/Status.vue'

export default {
  name: 'StatusExample',
  data: () => {
      return {
          message: "",
          maxLength: 10,
          size: 1,
      }
  },
  components: {
    Header,
    Status,
  },
  methods: {
    pushMessage () {
        this.$refs.status.pushMsg(this.message)
        this.message = ""
    }
  },
}
</script>
